AOWP_PHPSimpleMethodCallElement (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.parser.ast.util.AOWP_PHPSimpleMethodCallElement
/parser/ast/util/PHPSimpleMethodCallElement.class.php at line 20

# Class AOWP_PHPSimpleMethodCallElement

    AOWP_PHPElement
        └─AOWP_PHPObjectOperatorElement
           └─AOWP_PHPSimpleMethodCallElement

public class AOWP_PHPSimpleMethodCallElement
extends AOWP_PHPObjectOperatorElement

連続しないメソッド呼び出しを表す、 `AOWP_PHPObjectOperatorElement`のシンプル版の便利クラス。 例えば、以下の連続したメソッド呼び出しは、このクラスでは表現できない。 `$a->b()->c();`

Author:
  keiji

Fields inherited from aowp.parser.ast.AOWP_PHPObjectOperatorElement
expr, objectProperties

Fields inherited from aowp.parser.ast.AOWP_PHPElement
NO_ARRAY, _line, parent, propertyIndex, propertyName

Constructor Summary
AOWP_PHPSimpleMethodCallElement(mixed objectVariableName, string methodName, string objectName)

Method Summary
void | addArgument(mixed argumentElement, $argumentElement )
void | addVariableArgument(mixed variableName)

Methods inherited from aowp.parser.ast.AOWP_PHPObjectOperatorElement
__toString, addObjectProperty, getFirstObjectProperty, getLeftExpr, getLeftVariableName, getObjectPropertyIndex, getPropertyCount, kind, setLeftVariableName

Methods inherited from aowp.parser.ast.AOWP_PHPElement
__clone, __toString, getChildren, getParent, getParentContainer, getParentPropertyIndex, getParentPropertyName, initialize, kind, line, releaseInstance, setParent, setParentInfo

## Constructor Detail

/parser/ast/util/PHPSimpleMethodCallElement.class.php at line 28

### AOWP_PHPSimpleMethodCallElement

`public AOWP_PHPSimpleMethodCallElement(mixed objectVariableName, string methodName, string objectName)`

## Method Detail

/parser/ast/util/PHPSimpleMethodCallElement.class.php at line 42

### addArgument

`public void addArgument(mixed argumentElement, $argumentElement )`

/parser/ast/util/PHPSimpleMethodCallElement.class.php at line 46

### addVariableArgument

`public void addVariableArgument(mixed variableName)`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr